# $Revision: 1.17 $, $Date: 2002/11/11 18:24:10 $
Summary:	fping - pings multiple hosts at once
Summary(pl):	fping - ping sprawdzajcy wiele hostw naraz
Name:		fping
Version:	2.4b2
Release:	5
License:	distributable
Group:		Networking/Admin
Source0:	http://www.fping.com/download/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-ipv6.patch
Patch2:		%{name}-ipv6-ac.patch
URL:		http://www.fping.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fping is a ping(1) like program which uses the Internet Control
Message Protocol (ICMP) echo request to determine if a host is up.
fping is different from ping in that you can specify any number of
hosts on the command line, or specify a file containing the lists of
hosts to ping. Instead of trying one host until it timeouts or
replies, fping will send out a ping packet and move on to the next
host in a round-robin fashion. If a host replies, it is noted and
removed from the list of hosts to check. If a host does not respond
within a certain time limit and/or retry limit it will be considered
unreachable.

%description -l pl
fping to program podobny do ping(1), uywajcego dania echo
(echo-request) protokou ICMP do stwierdzenia, czy host dziaa. fping
rni si od ping tym, e mona poda dowoln liczb hostw z linii
polece lub poda plik zawierajcy list hostw do sprawdzenia.
Zamiast sprawdzania pojedynczego hosta do upynicia limitu czasu lub
odpowiedzi, fping wysya pakiet pinga i przesuwa si do nastpnego
hosta w trybie Round-Robin. Jeeli host odpowiada, jest on zapisywany
i usuwany z listy do sprawdzenia. Jeeli nie odpowiada przez pewien
czas lub pewn liczb prb, jest traktowany jako niedostpny.

%prep 
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}
mv fping fping6
%configure \
	--disable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install
install fping6 $RPM_BUILD_ROOT%{_sbindir}/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README COPYING
%attr(4750,root,adm) %{_sbindir}/*
%{_mandir}/man*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: fping.spec,v $
Revision 1.17  2002/11/11 18:24:10  kloczek
- release 5.

Revision 1.16  2002/11/07 20:33:25  agaran
ipv6 patch (ugly one)

Revision 1.15  2002/10/07 11:13:35  qboosh
- BR: autoconf,automake

Revision 1.14  2002/06/18 22:27:51  blues
- release 4
- reverted ipv6 "fixes" - BTS#207 - make separate v6 package or (better)
  add correct v6 fix, not separate fake source
- new doc
STBR

Revision 1.13  2002/05/21 23:13:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/05/11 12:20:44  pioklo
- relase 3,now  support ipv6 ,STBR

Revision 1.11  2002/05/02 19:12:10  qboosh
- automake -a -c -f --foreign - don't change license information in COPYING!!!

Revision 1.10  2002/04/25 16:19:26  arturs
fixed a small typo

Revision 1.9  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.8  2002/02/23 02:06:15  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/01/18 02:12:58  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2002/01/09 23:56:27  kloczek
- release 2.

Revision 1.4  2002/01/09 18:06:43  misiek
- fix defattr

Revision 1.3  2002/01/08 22:12:42  blues
- ac_fixes patch added
- docs added
STB

Revision 1.2  2001/11/27 10:15:54  qboosh
- pl description, better summaries

Revision 1.1  2001/10/26 19:32:46  blues
- initial version
fping is different from ping in that you can specify any number of
hosts on the command line, or specify a file containing the lists of
hosts to ping. Instead of trying one host until it timeouts or
replies, fping will send out a ping packet and move on to the next
host in a round-robin fashion.
